Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class RowReadXMLException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.jbo.JboException
                              |
                              +--oracle.jbo.ReadXMLException
                                    |
                                    +--oracle.jbo.RowReadXMLException

public class RowReadXMLException
extends ReadXMLException

Thrown when reading an xml document fails for a RowSet or a Row. This exception could contain an array of exceptions thrown while reading a RowSet, one exception per Row.

Since:
  JDeveloper 3.2
See Also:
  Serialized Form

Constructor Summary
`RowReadXMLException(Key key, java.lang.String tagString, java.util.Vector exc)` Constructs a new instance.

Method Summary
`Key` | `getRowKey()`
`void` | `setRowKey(Key k)` Internal method to set key for proper reporting of row xml errors.

Methods inherited from class oracle.jbo.ReadXMLException
`getXMLTag`

Methods inherited from class oracle.jbo.JboException
`addToDetails, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getTypeNameFromId, isLocalizable, printStackTrace, printStackTrace, printStackTrace, setApplicationModule, setDetails, setErrorParameters`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RowReadXMLException

    public RowReadXMLException(Key key,
                               java.lang.String tagString,
                               java.util.Vector exc)

  Constructs a new instance.
  Parameters:
    `attrName` - Name of the attribute that failed to update during xml read operation.
    `attrIndex` - Index of the attribute that failed to update during xml read operation.
    `tagString` - The tag for the xml-node for which the read operation failed.
    `exc` - A bag of exceptions collected. The xml-read operation attempts to read each row's xml and on exception, adds that to this bag

Method Detail

### getRowKey

    public Key getRowKey()

### setRowKey

    public void setRowKey(Key k)

  Internal method to set key for proper reporting of row xml errors.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD